Summary: Privledged helper for utmp/wtmp updates
Name: utempter
%define majver 0
Version: 0.5.5
Release: 5tr
License: MIT
Group: Trustix Official
Source: %{name}-%{version}.tar.gz
Patch: utempter-0.5.5.patch
Requires: /usr/sbin/groupadd, /sbin/ldconfig, fileutils
BuildRoot: %{_tmppath}/%{name}-root

%description
Utempter is a utility which allows some non-privileged programs to
have required root access without compromising system
security. Utempter accomplishes this feat by acting as a buffer
between root and the programs.


%package devel
Summary: devel for %{name}
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
header files, shared and debuging libraries for %{name}. 


%prep
%setup -q
%patch -p1


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

# preserve unstriped lib
pushd $RPM_BUILD_ROOT%{_libdir}
rm lib%{name}.so
cp lib%{name}.so.%{version} lib%{name}.so
strip lib%{name}.so.%{version}
popd

ln -sf lib%{name}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.%{majver}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%pre 
if [ -z "`getent group utmp`" ] ; then
        /usr/sbin/groupadd -g 22 utmp
fi


%post
/sbin/ldconfig

if [ -f /var/log/wtmp ]; then
    chown root.utmp /var/log/wtmp
    chmod 664 /var/log/wtmp
fi

if [ -f /var/run/utmp ]; then
    chown root.utmp /var/run/utmp
    chmod 664 /var/run/utmp
fi


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%attr(02755, root, utmp) /usr/sbin/utempter
%{_libdir}/libutempter.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libutempter.so
%{_libdir}/libutempter.a
%{_includedir}/utempter.h


%changelog
* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.5.5-4tr
- Changed Group to Trustix Official

* Tue Feb 01 2005 Syed Shabir <syedshabir at comodo dot com> 
- Rebuilt on GCC-3.4.3

* Thu Oct 07 2004 Ajith Thampi <ajith at comodo dot com> 0.5.5-1ta
- Rebuilt for TSL 2.2

* Wed Sep  8 2004 Nageswara Sastry <nageswara at comodo dot com>
- Upgraded to version 0.5.5

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sun Oct  5 2003 Goetz Bock <bg at tawie dot org> 0.5.2-8bg
- rebuild for Cloud (aka Tawie 2.0) - Contrib

* Mon Aug 18 2003 Goetz Bock <bock at trustix dot org> 0.5.2-7bg
- rebuild for Cloud (aka Trustix 2.0) - Contrib

* Wed Jun 25 2003 Goetz Bock <bock at trustix dot org> utempter-0.5.2-6bg
- reviewed .spec file

* Thu Apr  1 2003 Goetz Bock <bock at trustix dot org> 0.5.2-5bg
- create static library

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 0.5.2-4th
- fixed package Group

* Wed Sep  3 2002 Goetz Bock <bock at trustix dot org> 0.5.2-3bg
- the shadow-utils seame broken (it's not)

* Wed Sep  3 2002 Goetz Bock <bock at trustix dot org> 0.5.2-2bg
- rebuild for TSL2.0

* Tue Mar 12 2001 Goetz Bock <bock at blacknet dot de> 0.5.2-1bn
- thanks for the package MDK

